# Class TreatmentDto

Namespace
  adas_core.Domain.Models.DTO

Assembly
  adas-core.Domain.dll

Represents a data transfer object for conveying treatment information between application layers.

    public class TreatmentDto

Inheritance
  object
  TreatmentDto

Inherited Members
  object.Equals(object)
  object.Equals(object, object)
  object.GetHashCode()
  object.GetType()
  object.MemberwiseClone()
  object.ReferenceEquals(object, object)
  object.ToString()

Extension Methods
  NumberUtils.IsNumber(object)
  NumberUtils.ToDouble(object)
  ObjectUtils.ToStr(object?)

## Properties

### Location

    public PatientLocation? Location { get; set; }

#### Property Value

PatientLocation

### MessageTime

    public DateTime MessageTime { get; set; }

#### Property Value

DateTime

### PatientNumber

    public string PatientNumber { get; set; }

#### Property Value

string

### Treatment

    public PatientTreatment? Treatment { get; set; }

#### Property Value

PatientTreatment

### Treatments

    public List<PatientTreatment>? Treatments { get; set; }

#### Property Value

List<PatientTreatment>

### WaitResult

    public bool WaitResult { get; set; }

#### Property Value

bool